# ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER > Class Template Reference

Defines a do-nothing implementation of the cleanup strategy. More...

`#include <Cleanup_Strategies_T.h>`

Inheritance diagram for ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
Collaboration diagram for ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
List of all members.

## Public Member Functions

virtual int | cleanup (CONTAINER &container, KEY *key, VALUE *value)
| The dummy cleanup method.

## Detailed Description

### template<class KEY, class VALUE, class CONTAINER>
class ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER >

Defines a do-nothing implementation of the cleanup strategy.

This class simply does nothing at all! Can be used to nullify the effect of the Cleanup Strategy.

## Member Function Documentation

template<class KEY, class VALUE, class CONTAINER>
int ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER >::cleanup | ( | CONTAINER & | container,
|  | KEY * | key,
|  | VALUE * | value
| ) | `[virtual]`

| The dummy cleanup method. Reimplemented from ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >.

The documentation for this class was generated from the following files:

- Cleanup_Strategies_T.h
- Cleanup_Strategies_T.cpp